cascading.stats.tez

## Class TezSliceStats

- java.lang.Object
- - cascading.stats.FlowSliceStats<TezNodeStats.Kind>
  - - cascading.stats.tez.TezSliceStats

All Implemented Interfaces:
  ProvidesCounters

    public class TezSliceStats
    extends FlowSliceStats<TezNodeStats.Kind>
    implements ProvidesCounters

### Nested Class Summary

Nested Classes
`static class` `TezSliceStats.TezAttempt`

### Nested classes/interfaces inherited from class cascading.stats.FlowSliceStats

`FlowSliceStats.FlowSliceAttempt`

### Method Summary

Methods
`void` `addAttempt(Object event)`
`Map<Integer,FlowSliceStats.FlowSliceAttempt>` `getAttempts()`
`Collection<String>` `getCounterGroups()`
`Map<String,Map<String,Long>>` `getCounters()`
`Collection<String>` `getCountersFor(Class<? extends Enum> group)`
`Collection<String>` `getCountersFor(String group)`
`long` `getCounterValue(Enum counter)`
`long` `getCounterValue(String group, String name)`
`String[]` `getDiagnostics()`
`String` `getID()`
`TezNodeStats.Kind` `getKind()`
`long` `getLastSuccessfulCounterFetchTime()`
`CascadingStats.Status` `getParentStatus()`
`long` `getProcessFinishTime()`
`String` `getProcessNodeID()`
`float` `getProcessProgress()`
`long` `getProcessRunTime()`
`String` `getProcessSliceID()`
`long` `getProcessStartTime()`
`String` `getProcessStatus()`
`String` `getProcessStepID()`
`CascadingStats.Status` `getStatus()`
`void` `setCounters(Map<String,Map<String,Long>> counters)`
`void` `setDiagnostics(String diagnostics)`
`void` `setFinishTime(long finishTime)`
`void` `setLastFetch(long lastFetch)`
`void` `setStartTime(long startTime)`
`protected void` `setStatus(CascadingStats.Status status)`
`void` `setSubmitTime(long submitTime)`
`void` `setSuccessfulAttemptID(String successfulAttemptID)`
`String` `toString()`

### Methods inherited from class cascading.stats.FlowSliceStats

`getProcessID, getProcessPendingTime, getProcessSubmitTime`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### setSubmitTime

    public void setSubmitTime(long submitTime)

#### setStartTime

    public void setStartTime(long startTime)

#### setFinishTime

    public void setFinishTime(long finishTime)

#### setSuccessfulAttemptID

    public void setSuccessfulAttemptID(String successfulAttemptID)

#### getID

    public String getID()

Specified by:
  `getID` in class `FlowSliceStats<TezNodeStats.Kind>`

#### getProcessStartTime

    public long getProcessStartTime()

Specified by:
  `getProcessStartTime` in class `FlowSliceStats<TezNodeStats.Kind>`

#### getProcessRunTime

    public long getProcessRunTime()

Overrides:
  `getProcessRunTime` in class `FlowSliceStats<TezNodeStats.Kind>`

#### getProcessFinishTime

    public long getProcessFinishTime()

Specified by:
  `getProcessFinishTime` in class `FlowSliceStats<TezNodeStats.Kind>`

#### setDiagnostics

    public void setDiagnostics(String diagnostics)

#### getParentStatus

    public CascadingStats.Status getParentStatus()

#### setStatus

    protected void setStatus(@Nullable
                 CascadingStats.Status status)

#### getStatus

    public CascadingStats.Status getStatus()

Specified by:
  `getStatus` in class `FlowSliceStats<TezNodeStats.Kind>`

#### getKind

    public TezNodeStats.Kind getKind()

Specified by:
  `getKind` in class `FlowSliceStats<TezNodeStats.Kind>`

#### getDiagnostics

    public String[] getDiagnostics()

Specified by:
  `getDiagnostics` in class `FlowSliceStats<TezNodeStats.Kind>`

#### getCounters

    public Map<String,Map<String,Long>> getCounters()

Specified by:
  `getCounters` in class `FlowSliceStats<TezNodeStats.Kind>`

#### getProcessSliceID

    public String getProcessSliceID()

Specified by:
  `getProcessSliceID` in class `FlowSliceStats<TezNodeStats.Kind>`

#### getProcessNodeID

    public String getProcessNodeID()

Specified by:
  `getProcessNodeID` in class `FlowSliceStats<TezNodeStats.Kind>`

#### getProcessStepID

    public String getProcessStepID()

Specified by:
  `getProcessStepID` in class `FlowSliceStats<TezNodeStats.Kind>`

#### getProcessStatus

    public String getProcessStatus()

Specified by:
  `getProcessStatus` in class `FlowSliceStats<TezNodeStats.Kind>`

#### getProcessProgress

    public float getProcessProgress()

Specified by:
  `getProcessProgress` in class `FlowSliceStats<TezNodeStats.Kind>`

#### getAttempts

    public Map<Integer,FlowSliceStats.FlowSliceAttempt> getAttempts()

Specified by:
  `getAttempts` in class `FlowSliceStats<TezNodeStats.Kind>`

#### setCounters

    public void setCounters(@Nullable
                   Map<String,Map<String,Long>> counters)

#### setLastFetch

    public void setLastFetch(long lastFetch)

#### getLastSuccessfulCounterFetchTime

    public long getLastSuccessfulCounterFetchTime()

Specified by:
  `getLastSuccessfulCounterFetchTime` in interface `ProvidesCounters`

#### getCounterGroups

    public Collection<String> getCounterGroups()

Specified by:
  `getCounterGroups` in interface `ProvidesCounters`

#### getCountersFor

    public Collection<String> getCountersFor(String group)

Specified by:
  `getCountersFor` in interface `ProvidesCounters`

#### getCountersFor

    public Collection<String> getCountersFor(Class<? extends Enum> group)

Specified by:
  `getCountersFor` in interface `ProvidesCounters`

#### getCounterValue

    public long getCounterValue(Enum counter)

Specified by:
  `getCounterValue` in interface `ProvidesCounters`

#### getCounterValue

    public long getCounterValue(String group,
                       String name)

Specified by:
  `getCounterValue` in interface `ProvidesCounters`

#### addAttempt

    public void addAttempt(Object event)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`